package problems

import (
	"context"
	"git.sch9.ru/new_gate/ms-tester/internal/models"
)

type UseCase interface {
	CreateProblem(ctx context.Context, title string) (int32, error)
	GetProblemById(ctx context.Context, id int32) (*models.Problem, error)
	DeleteProblem(ctx context.Context, id int32) error
	ListProblems(ctx context.Context, filter models.ProblemsFilter) (*models.ProblemsList, error)
	UpdateProblem(ctx context.Context, id int32, problem *models.ProblemUpdate) error
	UploadProblem(ctx context.Context, id int32, archive []byte) error
}
